"Adding local repositories was denied by the administrator” message given when creating SVN or

Git repositories
08 Oct 2012 12:04 - Alastair McFarlane

Status: Open
Assignee: Andriy Lesyuk

Category:
Target version:

Redmine version: 21.2

Start date: 08 Oct 2012
Due date:

% Done: 0%
Estimated time: 0.00 hour

External issue:

Description

| have installed the latest package of SCM creator, but | don’t seem to be able to create repositories! When | navigate to the
“Repositories” tab of the project and choose to create one, I fill in the relevant fields and click “Create” | just see the message “Adding
local repositories was denied by the administrator” above the form. | will try and post my logs when | get home tonight.

History

#1 - 08 Oct 2012 14:15 - Andriy Lesyuk
- Tracker changed from Bug to Support

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Priority changed from Major to Normal

The repository already exists in the file system, right?..

See Configuration#allow add_local...

#2 - 08 Oct 2012 14:22 - Alastair McFarlane

Aha, | had not seen this configuration option! Is that seperate from the ability to use filesystem repositories (which | do not want)?

#3 - 08 Oct 2012 16:25 - Andriy Lesyuk

Alastair McFarlane wrote:

Aha, | had not seen this configuration option! Is that seperate from the ability to use filesystem repositories (which | do not want)?

This has nothing to with the “Filesystem” repository type.

#4 - 10 Oct 2012 11:14 - Alastair McFarlane

Sorry, it was mentioned near it in the documentation so | wasn't sure!

I've changed that setting and it no longer throws the error, although | don’t see any change on the filesystem when | browse using a terminal. Should
this exist already, or only when | add some source to it? Do | have to create the folder first?
http://projects.andriylesyuk.com/projects/scm-creator/wiki/Configuration#allow_add_local

#5 - 13 Nov 2012 00:25 - Andriy Lesyuk

Alastair McFarlane wrote:

I've changed that setting and it no longer throws the error, although | don’t see any change on the filesystem when | browse using a terminal.
Should this exist already, or only when | add some source to it? Do | have to create the folder first?

Sorry for the late reply — did not get the question... You mean it does not create any folder for the repository? If so — there should be something wrong
with permissions.
